Delete custom node (Deprecated)
curl --request DELETE \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/custom-nodes/{kind_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/custom-nodes/{kind_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/custom-nodes/{kind_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 350,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"context": "<string>",
"message": "<string>"
}
]
}Custom Node Management
Delete custom node (Deprecated)
deprecated
Deprecated: This endpoint is no longer supported and will return 410 Gone.
DELETE
/
api
/
v2
/
custom-nodes
/
{kind_name}
Delete custom node (Deprecated)
Authorizations
JWTBearerTokenSignedRequest & RequestDate & HMACSignature
Authorization: Bearer $JWT_TOKEN
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
Pattern:
^wait=(-1|[0-9]+)$Path Parameters
Kind Name
Response
Unauthorized This endpoint failed an authentication requirement. Either the client tried to access a protected endpoint without being authenticated, or an auth validation failed (ex- invalid credentials or expired token).
The HTTP status code
Required range:
100 <= x <= 600The RFC-3339 timestamp in which the error response was sent
The unique identifier of the request that failed
The error(s) that occurred from processing the request
Show child attributes
Show child attributes